QImageFormatPlugin(3qt)

NAME
QImageFormatPlugin - Abstract base for custom image format plugins

SYNOPSIS
#include <qimageformatplugin.h>

  Public Members
QImageFormatPlugin ()
~QImageFormatPlugin ()
virtual QStringList keys () const = 0
virtual bool installIOHandler ( const QString & format ) = 0

DESCRIPTION
The QImageFormatPlugin class provides an abstract base for custom image format plugins.

The image format plugin is a simple plugin interface that makes it easy to create custom image formats that can be used transparently by applications.

Writing an image format plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and installIOHandler(), and exporting the class with the Q_EXPORT_PLUGIN macro. See the Plugins documentation for details.

See also Plugins.

MEMBER FUNCTION DOCUMENTATION

QImageFormatPlugin::QImageFormatPlugin ()
Constructs an image format plugin. This is invoked automatically by the Q_EXPORT_PLUGIN macro.

QImageFormatPlugin::~QImageFormatPlugin ()
Destroys the image format plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

bool QImageFormatPlugin::installIOHandler ( const QString & format ) [pure virtual]
Installs a QImageIO image I/O handler for the image format format.

See also keys().

QStringList QImageFormatPlugin::keys () const [pure virtual]
Returns the list of image formats this plugin supports.

See also installIOHandler().

SEE ALSO
http://doc.trolltech.com/qimageformatplugin.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qimageformatplugin.3qt) and the Qt version (3.3.8).